Planet
navi homePPSaboutscreenshotsdownloaddevelopmentforum

Changeset 1971 in orxonox.OLD for orxonox


Ignore:
Timestamp:
Jun 17, 2004, 4:57:32 PM (20 years ago)
Author:
bensch
Message:

orxonox/trunk: now configure works on minGW

Location:
orxonox/trunk
Files:
3 edited

Legend:

Unmodified
Added
Removed
  • orxonox/trunk/config.h.in

    r1959 r1971  
    33/* Define to 1 if you have the `bzero' function. */
    44#undef HAVE_BZERO
     5
     6/* Define to 1 if you have the <GL/glut.h> header file. */
     7#undef HAVE_GL_GLUT_H
     8
     9/* Define to 1 if you have the <GL/glu.h> header file. */
     10#undef HAVE_GL_GLU_H
     11
     12/* Define to 1 if you have the <GL/gl.h> header file. */
     13#undef HAVE_GL_GL_H
    514
    615/* Define to 1 if you have the <inttypes.h> header file. */
  • orxonox/trunk/configure

    r1959 r1971  
    32853285
    32863286#  cheking for libGL
    3287 #   checking for Unix GL
    3288 
    3289 echo "$as_me:$LINENO: checking for glPushMatrix in -lGL" >&5
    3290 echo $ECHO_N "checking for glPushMatrix in -lGL... $ECHO_C" >&6
    3291 if test "${ac_cv_lib_GL_glPushMatrix+set}" = set; then
     3287
     3288ac_ext=c
     3289ac_cpp='$CPP $CPPFLAGS'
     3290ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     3291ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     3292ac_compiler_gnu=$ac_cv_c_compiler_gnu
     3293echo "$as_me:$LINENO: checking how to run the C preprocessor" >&5
     3294echo $ECHO_N "checking how to run the C preprocessor... $ECHO_C" >&6
     3295# On Suns, sometimes $CPP names a directory.
     3296if test -n "$CPP" && test -d "$CPP"; then
     3297  CPP=
     3298fi
     3299if test -z "$CPP"; then
     3300  if test "${ac_cv_prog_CPP+set}" = set; then
    32923301  echo $ECHO_N "(cached) $ECHO_C" >&6
    32933302else
    3294   ac_check_lib_save_LIBS=$LIBS
    3295 LIBS="-lGL  $LIBS"
    3296 cat >conftest.$ac_ext <<_ACEOF
     3303      # Double quotes because CPP needs to be expanded
     3304    for CPP in "$CC -E" "$CC -E -traditional-cpp" "/lib/cpp"
     3305    do
     3306      ac_preproc_ok=false
     3307for ac_c_preproc_warn_flag in '' yes
     3308do
     3309  # Use a header file that comes with gcc, so configuring glibc
     3310  # with a fresh cross-compiler works.
     3311  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
     3312  # <limits.h> exists even on freestanding compilers.
     3313  # On the NeXT, cc -E runs the code through the compiler's parser,
     3314  # not just through cpp. "Syntax error" is here to catch this case.
     3315  cat >conftest.$ac_ext <<_ACEOF
    32973316/* confdefs.h.  */
    32983317_ACEOF
     
    33003319cat >>conftest.$ac_ext <<_ACEOF
    33013320/* end confdefs.h.  */
    3302 
    3303 /* Override any gcc2 internal prototype to avoid an error.  */
    3304 #ifdef __cplusplus
    3305 extern "C"
     3321#ifdef __STDC__
     3322# include <limits.h>
     3323#else
     3324# include <assert.h>
    33063325#endif
    3307 /* We use char because int might match the return type of a gcc2
    3308    builtin and then its argument prototype would still apply.  */
    3309 char glPushMatrix ();
     3326                     Syntax error
     3327_ACEOF
     3328if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     3329  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     3330  ac_status=$?
     3331  grep -v '^ *+' conftest.er1 >conftest.err
     3332  rm -f conftest.er1
     3333  cat conftest.err >&5
     3334  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3335  (exit $ac_status); } >/dev/null; then
     3336  if test -s conftest.err; then
     3337    ac_cpp_err=$ac_c_preproc_warn_flag
     3338    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     3339  else
     3340    ac_cpp_err=
     3341  fi
     3342else
     3343  ac_cpp_err=yes
     3344fi
     3345if test -z "$ac_cpp_err"; then
     3346  :
     3347else
     3348  echo "$as_me: failed program was:" >&5
     3349sed 's/^/| /' conftest.$ac_ext >&5
     3350
     3351  # Broken: fails on valid input.
     3352continue
     3353fi
     3354rm -f conftest.err conftest.$ac_ext
     3355
     3356  # OK, works on sane cases.  Now check whether non-existent headers
     3357  # can be detected and how.
     3358  cat >conftest.$ac_ext <<_ACEOF
     3359/* confdefs.h.  */
     3360_ACEOF
     3361cat confdefs.h >>conftest.$ac_ext
     3362cat >>conftest.$ac_ext <<_ACEOF
     3363/* end confdefs.h.  */
     3364#include <ac_nonexistent.h>
     3365_ACEOF
     3366if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     3367  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     3368  ac_status=$?
     3369  grep -v '^ *+' conftest.er1 >conftest.err
     3370  rm -f conftest.er1
     3371  cat conftest.err >&5
     3372  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3373  (exit $ac_status); } >/dev/null; then
     3374  if test -s conftest.err; then
     3375    ac_cpp_err=$ac_c_preproc_warn_flag
     3376    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     3377  else
     3378    ac_cpp_err=
     3379  fi
     3380else
     3381  ac_cpp_err=yes
     3382fi
     3383if test -z "$ac_cpp_err"; then
     3384  # Broken: success on invalid input.
     3385continue
     3386else
     3387  echo "$as_me: failed program was:" >&5
     3388sed 's/^/| /' conftest.$ac_ext >&5
     3389
     3390  # Passes both tests.
     3391ac_preproc_ok=:
     3392break
     3393fi
     3394rm -f conftest.err conftest.$ac_ext
     3395
     3396done
     3397# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
     3398rm -f conftest.err conftest.$ac_ext
     3399if $ac_preproc_ok; then
     3400  break
     3401fi
     3402
     3403    done
     3404    ac_cv_prog_CPP=$CPP
     3405
     3406fi
     3407  CPP=$ac_cv_prog_CPP
     3408else
     3409  ac_cv_prog_CPP=$CPP
     3410fi
     3411echo "$as_me:$LINENO: result: $CPP" >&5
     3412echo "${ECHO_T}$CPP" >&6
     3413ac_preproc_ok=false
     3414for ac_c_preproc_warn_flag in '' yes
     3415do
     3416  # Use a header file that comes with gcc, so configuring glibc
     3417  # with a fresh cross-compiler works.
     3418  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
     3419  # <limits.h> exists even on freestanding compilers.
     3420  # On the NeXT, cc -E runs the code through the compiler's parser,
     3421  # not just through cpp. "Syntax error" is here to catch this case.
     3422  cat >conftest.$ac_ext <<_ACEOF
     3423/* confdefs.h.  */
     3424_ACEOF
     3425cat confdefs.h >>conftest.$ac_ext
     3426cat >>conftest.$ac_ext <<_ACEOF
     3427/* end confdefs.h.  */
     3428#ifdef __STDC__
     3429# include <limits.h>
     3430#else
     3431# include <assert.h>
     3432#endif
     3433                     Syntax error
     3434_ACEOF
     3435if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     3436  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     3437  ac_status=$?
     3438  grep -v '^ *+' conftest.er1 >conftest.err
     3439  rm -f conftest.er1
     3440  cat conftest.err >&5
     3441  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3442  (exit $ac_status); } >/dev/null; then
     3443  if test -s conftest.err; then
     3444    ac_cpp_err=$ac_c_preproc_warn_flag
     3445    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     3446  else
     3447    ac_cpp_err=
     3448  fi
     3449else
     3450  ac_cpp_err=yes
     3451fi
     3452if test -z "$ac_cpp_err"; then
     3453  :
     3454else
     3455  echo "$as_me: failed program was:" >&5
     3456sed 's/^/| /' conftest.$ac_ext >&5
     3457
     3458  # Broken: fails on valid input.
     3459continue
     3460fi
     3461rm -f conftest.err conftest.$ac_ext
     3462
     3463  # OK, works on sane cases.  Now check whether non-existent headers
     3464  # can be detected and how.
     3465  cat >conftest.$ac_ext <<_ACEOF
     3466/* confdefs.h.  */
     3467_ACEOF
     3468cat confdefs.h >>conftest.$ac_ext
     3469cat >>conftest.$ac_ext <<_ACEOF
     3470/* end confdefs.h.  */
     3471#include <ac_nonexistent.h>
     3472_ACEOF
     3473if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     3474  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     3475  ac_status=$?
     3476  grep -v '^ *+' conftest.er1 >conftest.err
     3477  rm -f conftest.er1
     3478  cat conftest.err >&5
     3479  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3480  (exit $ac_status); } >/dev/null; then
     3481  if test -s conftest.err; then
     3482    ac_cpp_err=$ac_c_preproc_warn_flag
     3483    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     3484  else
     3485    ac_cpp_err=
     3486  fi
     3487else
     3488  ac_cpp_err=yes
     3489fi
     3490if test -z "$ac_cpp_err"; then
     3491  # Broken: success on invalid input.
     3492continue
     3493else
     3494  echo "$as_me: failed program was:" >&5
     3495sed 's/^/| /' conftest.$ac_ext >&5
     3496
     3497  # Passes both tests.
     3498ac_preproc_ok=:
     3499break
     3500fi
     3501rm -f conftest.err conftest.$ac_ext
     3502
     3503done
     3504# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
     3505rm -f conftest.err conftest.$ac_ext
     3506if $ac_preproc_ok; then
     3507  :
     3508else
     3509  { { echo "$as_me:$LINENO: error: C preprocessor \"$CPP\" fails sanity check
     3510See \`config.log' for more details." >&5
     3511echo "$as_me: error: C preprocessor \"$CPP\" fails sanity check
     3512See \`config.log' for more details." >&2;}
     3513   { (exit 1); exit 1; }; }
     3514fi
     3515
     3516ac_ext=c
     3517ac_cpp='$CPP $CPPFLAGS'
     3518ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     3519ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     3520ac_compiler_gnu=$ac_cv_c_compiler_gnu
     3521
     3522
     3523echo "$as_me:$LINENO: checking for egrep" >&5
     3524echo $ECHO_N "checking for egrep... $ECHO_C" >&6
     3525if test "${ac_cv_prog_egrep+set}" = set; then
     3526  echo $ECHO_N "(cached) $ECHO_C" >&6
     3527else
     3528  if echo a | (grep -E '(a|b)') >/dev/null 2>&1
     3529    then ac_cv_prog_egrep='grep -E'
     3530    else ac_cv_prog_egrep='egrep'
     3531    fi
     3532fi
     3533echo "$as_me:$LINENO: result: $ac_cv_prog_egrep" >&5
     3534echo "${ECHO_T}$ac_cv_prog_egrep" >&6
     3535 EGREP=$ac_cv_prog_egrep
     3536
     3537
     3538echo "$as_me:$LINENO: checking for ANSI C header files" >&5
     3539echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
     3540if test "${ac_cv_header_stdc+set}" = set; then
     3541  echo $ECHO_N "(cached) $ECHO_C" >&6
     3542else
     3543  cat >conftest.$ac_ext <<_ACEOF
     3544/* confdefs.h.  */
     3545_ACEOF
     3546cat confdefs.h >>conftest.$ac_ext
     3547cat >>conftest.$ac_ext <<_ACEOF
     3548/* end confdefs.h.  */
     3549#include <stdlib.h>
     3550#include <stdarg.h>
     3551#include <string.h>
     3552#include <float.h>
     3553
    33103554int
    33113555main ()
    33123556{
    3313 glPushMatrix ();
     3557
    33143558  ;
    33153559  return 0;
    33163560}
    33173561_ACEOF
    3318 rm -f conftest.$ac_objext conftest$ac_exeext
    3319 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3320   (eval $ac_link) 2>conftest.er1
     3562rm -f conftest.$ac_objext
     3563if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     3564  (eval $ac_compile) 2>conftest.er1
    33213565  ac_status=$?
    33223566  grep -v '^ *+' conftest.er1 >conftest.err
     
    33323576  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    33333577  (exit $ac_status); }; } &&
    3334          { ac_try='test -s conftest$ac_exeext'
     3578         { ac_try='test -s conftest.$ac_objext'
    33353579  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    33363580  (eval $ac_try) 2>&5
     
    33383582  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    33393583  (exit $ac_status); }; }; then
    3340   ac_cv_lib_GL_glPushMatrix=yes
     3584  ac_cv_header_stdc=yes
    33413585else
    33423586  echo "$as_me: failed program was:" >&5
    33433587sed 's/^/| /' conftest.$ac_ext >&5
    33443588
    3345 ac_cv_lib_GL_glPushMatrix=no
    3346 fi
    3347 rm -f conftest.err conftest.$ac_objext \
    3348       conftest$ac_exeext conftest.$ac_ext
    3349 LIBS=$ac_check_lib_save_LIBS
    3350 fi
    3351 echo "$as_me:$LINENO: result: $ac_cv_lib_GL_glPushMatrix" >&5
    3352 echo "${ECHO_T}$ac_cv_lib_GL_glPushMatrix" >&6
    3353 if test $ac_cv_lib_GL_glPushMatrix = yes; then
    3354   FOUND_GL=yes
    3355 fi
    3356 
    3357 if test "$FOUND_GL" = "yes" ; then
    3358     LIBS="$LIBS -lGL"
    3359     #   checking for Windows openGl library
    3360 else
    3361     echo "We did not find the Linux opengl Library. Checking for Windows Library"
    3362     echo "$as_me:$LINENO: checking for glPushMatrix in -lopengl32" >&5
    3363 echo $ECHO_N "checking for glPushMatrix in -lopengl32... $ECHO_C" >&6
    3364 if test "${ac_cv_lib_opengl32_glPushMatrix+set}" = set; then
    3365   echo $ECHO_N "(cached) $ECHO_C" >&6
    3366 else
    3367   ac_check_lib_save_LIBS=$LIBS
    3368 LIBS="-lopengl32  $LIBS"
    3369 cat >conftest.$ac_ext <<_ACEOF
     3589ac_cv_header_stdc=no
     3590fi
     3591rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     3592
     3593if test $ac_cv_header_stdc = yes; then
     3594  # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
     3595  cat >conftest.$ac_ext <<_ACEOF
    33703596/* confdefs.h.  */
    33713597_ACEOF
     
    33733599cat >>conftest.$ac_ext <<_ACEOF
    33743600/* end confdefs.h.  */
    3375 
    3376 /* Override any gcc2 internal prototype to avoid an error.  */
    3377 #ifdef __cplusplus
    3378 extern "C"
     3601#include <string.h>
     3602
     3603_ACEOF
     3604if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
     3605  $EGREP "memchr" >/dev/null 2>&1; then
     3606  :
     3607else
     3608  ac_cv_header_stdc=no
     3609fi
     3610rm -f conftest*
     3611
     3612fi
     3613
     3614if test $ac_cv_header_stdc = yes; then
     3615  # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
     3616  cat >conftest.$ac_ext <<_ACEOF
     3617/* confdefs.h.  */
     3618_ACEOF
     3619cat confdefs.h >>conftest.$ac_ext
     3620cat >>conftest.$ac_ext <<_ACEOF
     3621/* end confdefs.h.  */
     3622#include <stdlib.h>
     3623
     3624_ACEOF
     3625if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
     3626  $EGREP "free" >/dev/null 2>&1; then
     3627  :
     3628else
     3629  ac_cv_header_stdc=no
     3630fi
     3631rm -f conftest*
     3632
     3633fi
     3634
     3635if test $ac_cv_header_stdc = yes; then
     3636  # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
     3637  if test "$cross_compiling" = yes; then
     3638  :
     3639else
     3640  cat >conftest.$ac_ext <<_ACEOF
     3641/* confdefs.h.  */
     3642_ACEOF
     3643cat confdefs.h >>conftest.$ac_ext
     3644cat >>conftest.$ac_ext <<_ACEOF
     3645/* end confdefs.h.  */
     3646#include <ctype.h>
     3647#if ((' ' & 0x0FF) == 0x020)
     3648# define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
     3649# define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
     3650#else
     3651# define ISLOWER(c) \
     3652                   (('a' <= (c) && (c) <= 'i') \
     3653                     || ('j' <= (c) && (c) <= 'r') \
     3654                     || ('s' <= (c) && (c) <= 'z'))
     3655# define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
    33793656#endif
    3380 /* We use char because int might match the return type of a gcc2
    3381    builtin and then its argument prototype would still apply.  */
    3382 char glPushMatrix ();
     3657
     3658#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
    33833659int
    33843660main ()
    33853661{
    3386 glPushMatrix ();
    3387   ;
    3388   return 0;
     3662  int i;
     3663  for (i = 0; i < 256; i++)
     3664    if (XOR (islower (i), ISLOWER (i))
     3665        || toupper (i) != TOUPPER (i))
     3666      exit(2);
     3667  exit (0);
    33893668}
    33903669_ACEOF
    3391 rm -f conftest.$ac_objext conftest$ac_exeext
     3670rm -f conftest$ac_exeext
    33923671if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3393   (eval $ac_link) 2>conftest.er1
     3672  (eval $ac_link) 2>&5
     3673  ac_status=$?
     3674  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3675  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
     3676  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3677  (eval $ac_try) 2>&5
     3678  ac_status=$?
     3679  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3680  (exit $ac_status); }; }; then
     3681  :
     3682else
     3683  echo "$as_me: program exited with status $ac_status" >&5
     3684echo "$as_me: failed program was:" >&5
     3685sed 's/^/| /' conftest.$ac_ext >&5
     3686
     3687( exit $ac_status )
     3688ac_cv_header_stdc=no
     3689fi
     3690rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
     3691fi
     3692fi
     3693fi
     3694echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
     3695echo "${ECHO_T}$ac_cv_header_stdc" >&6
     3696if test $ac_cv_header_stdc = yes; then
     3697
     3698cat >>confdefs.h <<\_ACEOF
     3699#define STDC_HEADERS 1
     3700_ACEOF
     3701
     3702fi
     3703
     3704# On IRIX 5.3, sys/types and inttypes.h are conflicting.
     3705
     3706
     3707
     3708
     3709
     3710
     3711
     3712
     3713
     3714for ac_header in sys/types.h sys/stat.h stdlib.h string.h memory.h strings.h \
     3715                  inttypes.h stdint.h unistd.h
     3716do
     3717as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     3718echo "$as_me:$LINENO: checking for $ac_header" >&5
     3719echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     3720if eval "test \"\${$as_ac_Header+set}\" = set"; then
     3721  echo $ECHO_N "(cached) $ECHO_C" >&6
     3722else
     3723  cat >conftest.$ac_ext <<_ACEOF
     3724/* confdefs.h.  */
     3725_ACEOF
     3726cat confdefs.h >>conftest.$ac_ext
     3727cat >>conftest.$ac_ext <<_ACEOF
     3728/* end confdefs.h.  */
     3729$ac_includes_default
     3730
     3731#include <$ac_header>
     3732_ACEOF
     3733rm -f conftest.$ac_objext
     3734if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     3735  (eval $ac_compile) 2>conftest.er1
    33943736  ac_status=$?
    33953737  grep -v '^ *+' conftest.er1 >conftest.err
     
    34053747  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    34063748  (exit $ac_status); }; } &&
     3749         { ac_try='test -s conftest.$ac_objext'
     3750  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3751  (eval $ac_try) 2>&5
     3752  ac_status=$?
     3753  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3754  (exit $ac_status); }; }; then
     3755  eval "$as_ac_Header=yes"
     3756else
     3757  echo "$as_me: failed program was:" >&5
     3758sed 's/^/| /' conftest.$ac_ext >&5
     3759
     3760eval "$as_ac_Header=no"
     3761fi
     3762rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     3763fi
     3764echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     3765echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     3766if test `eval echo '${'$as_ac_Header'}'` = yes; then
     3767  cat >>confdefs.h <<_ACEOF
     3768#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     3769_ACEOF
     3770
     3771fi
     3772
     3773done
     3774
     3775
     3776
     3777for ac_header in GL/gl.h
     3778do
     3779as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     3780if eval "test \"\${$as_ac_Header+set}\" = set"; then
     3781  echo "$as_me:$LINENO: checking for $ac_header" >&5
     3782echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     3783if eval "test \"\${$as_ac_Header+set}\" = set"; then
     3784  echo $ECHO_N "(cached) $ECHO_C" >&6
     3785fi
     3786echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     3787echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     3788else
     3789  # Is the header compilable?
     3790echo "$as_me:$LINENO: checking $ac_header usability" >&5
     3791echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     3792cat >conftest.$ac_ext <<_ACEOF
     3793/* confdefs.h.  */
     3794_ACEOF
     3795cat confdefs.h >>conftest.$ac_ext
     3796cat >>conftest.$ac_ext <<_ACEOF
     3797/* end confdefs.h.  */
     3798$ac_includes_default
     3799#include <$ac_header>
     3800_ACEOF
     3801rm -f conftest.$ac_objext
     3802if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     3803  (eval $ac_compile) 2>conftest.er1
     3804  ac_status=$?
     3805  grep -v '^ *+' conftest.er1 >conftest.err
     3806  rm -f conftest.er1
     3807  cat conftest.err >&5
     3808  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3809  (exit $ac_status); } &&
     3810         { ac_try='test -z "$ac_c_werror_flag"
     3811                         || test ! -s conftest.err'
     3812  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3813  (eval $ac_try) 2>&5
     3814  ac_status=$?
     3815  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3816  (exit $ac_status); }; } &&
     3817         { ac_try='test -s conftest.$ac_objext'
     3818  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3819  (eval $ac_try) 2>&5
     3820  ac_status=$?
     3821  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3822  (exit $ac_status); }; }; then
     3823  ac_header_compiler=yes
     3824else
     3825  echo "$as_me: failed program was:" >&5
     3826sed 's/^/| /' conftest.$ac_ext >&5
     3827
     3828ac_header_compiler=no
     3829fi
     3830rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     3831echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     3832echo "${ECHO_T}$ac_header_compiler" >&6
     3833
     3834# Is the header present?
     3835echo "$as_me:$LINENO: checking $ac_header presence" >&5
     3836echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     3837cat >conftest.$ac_ext <<_ACEOF
     3838/* confdefs.h.  */
     3839_ACEOF
     3840cat confdefs.h >>conftest.$ac_ext
     3841cat >>conftest.$ac_ext <<_ACEOF
     3842/* end confdefs.h.  */
     3843#include <$ac_header>
     3844_ACEOF
     3845if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     3846  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     3847  ac_status=$?
     3848  grep -v '^ *+' conftest.er1 >conftest.err
     3849  rm -f conftest.er1
     3850  cat conftest.err >&5
     3851  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3852  (exit $ac_status); } >/dev/null; then
     3853  if test -s conftest.err; then
     3854    ac_cpp_err=$ac_c_preproc_warn_flag
     3855    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     3856  else
     3857    ac_cpp_err=
     3858  fi
     3859else
     3860  ac_cpp_err=yes
     3861fi
     3862if test -z "$ac_cpp_err"; then
     3863  ac_header_preproc=yes
     3864else
     3865  echo "$as_me: failed program was:" >&5
     3866sed 's/^/| /' conftest.$ac_ext >&5
     3867
     3868  ac_header_preproc=no
     3869fi
     3870rm -f conftest.err conftest.$ac_ext
     3871echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     3872echo "${ECHO_T}$ac_header_preproc" >&6
     3873
     3874# So?  What about this header?
     3875case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
     3876  yes:no: )
     3877    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     3878echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     3879    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     3880echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     3881    ac_header_preproc=yes
     3882    ;;
     3883  no:yes:* )
     3884    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     3885echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     3886    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     3887echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     3888    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     3889echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     3890    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     3891echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     3892    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     3893echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     3894    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     3895echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     3896    (
     3897      cat <<\_ASBOX
     3898## ------------------------------------------- ##
     3899## Report this to orxonox-dev@mail.datacore.ch ##
     3900## ------------------------------------------- ##
     3901_ASBOX
     3902    ) |
     3903      sed "s/^/$as_me: WARNING:     /" >&2
     3904    ;;
     3905esac
     3906echo "$as_me:$LINENO: checking for $ac_header" >&5
     3907echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     3908if eval "test \"\${$as_ac_Header+set}\" = set"; then
     3909  echo $ECHO_N "(cached) $ECHO_C" >&6
     3910else
     3911  eval "$as_ac_Header=\$ac_header_preproc"
     3912fi
     3913echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     3914echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     3915
     3916fi
     3917if test `eval echo '${'$as_ac_Header'}'` = yes; then
     3918  cat >>confdefs.h <<_ACEOF
     3919#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     3920_ACEOF
     3921
     3922else
     3923  { { echo "$as_me:$LINENO: error: cannot find opengl headers" >&5
     3924echo "$as_me: error: cannot find opengl headers" >&2;}
     3925   { (exit 1); exit 1; }; }
     3926fi
     3927
     3928done
     3929
     3930
     3931#   checking for Unix GL
     3932echo "$as_me:$LINENO: checking for main in -lGL" >&5
     3933echo $ECHO_N "checking for main in -lGL... $ECHO_C" >&6
     3934if test "${ac_cv_lib_GL_main+set}" = set; then
     3935  echo $ECHO_N "(cached) $ECHO_C" >&6
     3936else
     3937  ac_check_lib_save_LIBS=$LIBS
     3938LIBS="-lGL  $LIBS"
     3939cat >conftest.$ac_ext <<_ACEOF
     3940/* confdefs.h.  */
     3941_ACEOF
     3942cat confdefs.h >>conftest.$ac_ext
     3943cat >>conftest.$ac_ext <<_ACEOF
     3944/* end confdefs.h.  */
     3945
     3946
     3947int
     3948main ()
     3949{
     3950main ();
     3951  ;
     3952  return 0;
     3953}
     3954_ACEOF
     3955rm -f conftest.$ac_objext conftest$ac_exeext
     3956if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3957  (eval $ac_link) 2>conftest.er1
     3958  ac_status=$?
     3959  grep -v '^ *+' conftest.er1 >conftest.err
     3960  rm -f conftest.er1
     3961  cat conftest.err >&5
     3962  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3963  (exit $ac_status); } &&
     3964         { ac_try='test -z "$ac_c_werror_flag"
     3965                         || test ! -s conftest.err'
     3966  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3967  (eval $ac_try) 2>&5
     3968  ac_status=$?
     3969  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3970  (exit $ac_status); }; } &&
    34073971         { ac_try='test -s conftest$ac_exeext'
    34083972  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     
    34113975  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    34123976  (exit $ac_status); }; }; then
    3413   ac_cv_lib_opengl32_glPushMatrix=yes
     3977  ac_cv_lib_GL_main=yes
    34143978else
    34153979  echo "$as_me: failed program was:" >&5
    34163980sed 's/^/| /' conftest.$ac_ext >&5
    34173981
    3418 ac_cv_lib_opengl32_glPushMatrix=no
     3982ac_cv_lib_GL_main=no
    34193983fi
    34203984rm -f conftest.err conftest.$ac_objext \
     
    34223986LIBS=$ac_check_lib_save_LIBS
    34233987fi
    3424 echo "$as_me:$LINENO: result: $ac_cv_lib_opengl32_glPushMatrix" >&5
    3425 echo "${ECHO_T}$ac_cv_lib_opengl32_glPushMatrix" >&6
    3426 if test $ac_cv_lib_opengl32_glPushMatrix = yes; then
    3427   FOUND_opengl=yes
    3428 fi
    3429 
    3430     if test "$FOUND_opengl" = "yes" ; then
     3988echo "$as_me:$LINENO: result: $ac_cv_lib_GL_main" >&5
     3989echo "${ECHO_T}$ac_cv_lib_GL_main" >&6
     3990if test $ac_cv_lib_GL_main = yes; then
     3991  FOUND_GL=yes
     3992fi
     3993
     3994if test "$FOUND_GL" = "yes" ; then
     3995    LIBS="$LIBS -lGL"
     3996    #   checking for Windows openGl library
     3997else
     3998    echo "We did not find the Linux opengl Library. Checking for Windows Library"
     3999    echo "$as_me:$LINENO: checking for main in -lopengl32" >&5
     4000echo $ECHO_N "checking for main in -lopengl32... $ECHO_C" >&6
     4001if test "${ac_cv_lib_opengl32_main+set}" = set; then
     4002  echo $ECHO_N "(cached) $ECHO_C" >&6
     4003else
     4004  ac_check_lib_save_LIBS=$LIBS
     4005LIBS="-lopengl32  $LIBS"
     4006cat >conftest.$ac_ext <<_ACEOF
     4007/* confdefs.h.  */
     4008_ACEOF
     4009cat confdefs.h >>conftest.$ac_ext
     4010cat >>conftest.$ac_ext <<_ACEOF
     4011/* end confdefs.h.  */
     4012
     4013
     4014int
     4015main ()
     4016{
     4017main ();
     4018  ;
     4019  return 0;
     4020}
     4021_ACEOF
     4022rm -f conftest.$ac_objext conftest$ac_exeext
     4023if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4024  (eval $ac_link) 2>conftest.er1
     4025  ac_status=$?
     4026  grep -v '^ *+' conftest.er1 >conftest.err
     4027  rm -f conftest.er1
     4028  cat conftest.err >&5
     4029  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4030  (exit $ac_status); } &&
     4031         { ac_try='test -z "$ac_c_werror_flag"
     4032                         || test ! -s conftest.err'
     4033  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4034  (eval $ac_try) 2>&5
     4035  ac_status=$?
     4036  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4037  (exit $ac_status); }; } &&
     4038         { ac_try='test -s conftest$ac_exeext'
     4039  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4040  (eval $ac_try) 2>&5
     4041  ac_status=$?
     4042  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4043  (exit $ac_status); }; }; then
     4044  ac_cv_lib_opengl32_main=yes
     4045else
     4046  echo "$as_me: failed program was:" >&5
     4047sed 's/^/| /' conftest.$ac_ext >&5
     4048
     4049ac_cv_lib_opengl32_main=no
     4050fi
     4051rm -f conftest.err conftest.$ac_objext \
     4052      conftest$ac_exeext conftest.$ac_ext
     4053LIBS=$ac_check_lib_save_LIBS
     4054fi
     4055echo "$as_me:$LINENO: result: $ac_cv_lib_opengl32_main" >&5
     4056echo "${ECHO_T}$ac_cv_lib_opengl32_main" >&6
     4057if test $ac_cv_lib_opengl32_main = yes; then
     4058  FOUND_opengl32=yes
     4059else
     4060  "gl/gl.h"
     4061fi
     4062
     4063    if test "$FOUND_opengl32" = "yes" ; then
    34314064        LIBS="$LIBS -lopengl32"
    34324065
    3433         else
     4066    else
    34344067         echo "------------------"
    34354068         echo "opengl not found."
     
    34414074
    34424075#  cheking for libGLU
     4076
     4077for ac_header in GL/glu.h
     4078do
     4079as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     4080if eval "test \"\${$as_ac_Header+set}\" = set"; then
     4081  echo "$as_me:$LINENO: checking for $ac_header" >&5
     4082echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     4083if eval "test \"\${$as_ac_Header+set}\" = set"; then
     4084  echo $ECHO_N "(cached) $ECHO_C" >&6
     4085fi
     4086echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     4087echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     4088else
     4089  # Is the header compilable?
     4090echo "$as_me:$LINENO: checking $ac_header usability" >&5
     4091echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     4092cat >conftest.$ac_ext <<_ACEOF
     4093/* confdefs.h.  */
     4094_ACEOF
     4095cat confdefs.h >>conftest.$ac_ext
     4096cat >>conftest.$ac_ext <<_ACEOF
     4097/* end confdefs.h.  */
     4098$ac_includes_default
     4099#include <$ac_header>
     4100_ACEOF
     4101rm -f conftest.$ac_objext
     4102if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     4103  (eval $ac_compile) 2>conftest.er1
     4104  ac_status=$?
     4105  grep -v '^ *+' conftest.er1 >conftest.err
     4106  rm -f conftest.er1
     4107  cat conftest.err >&5
     4108  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4109  (exit $ac_status); } &&
     4110         { ac_try='test -z "$ac_c_werror_flag"
     4111                         || test ! -s conftest.err'
     4112  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4113  (eval $ac_try) 2>&5
     4114  ac_status=$?
     4115  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4116  (exit $ac_status); }; } &&
     4117         { ac_try='test -s conftest.$ac_objext'
     4118  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4119  (eval $ac_try) 2>&5
     4120  ac_status=$?
     4121  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4122  (exit $ac_status); }; }; then
     4123  ac_header_compiler=yes
     4124else
     4125  echo "$as_me: failed program was:" >&5
     4126sed 's/^/| /' conftest.$ac_ext >&5
     4127
     4128ac_header_compiler=no
     4129fi
     4130rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     4131echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     4132echo "${ECHO_T}$ac_header_compiler" >&6
     4133
     4134# Is the header present?
     4135echo "$as_me:$LINENO: checking $ac_header presence" >&5
     4136echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     4137cat >conftest.$ac_ext <<_ACEOF
     4138/* confdefs.h.  */
     4139_ACEOF
     4140cat confdefs.h >>conftest.$ac_ext
     4141cat >>conftest.$ac_ext <<_ACEOF
     4142/* end confdefs.h.  */
     4143#include <$ac_header>
     4144_ACEOF
     4145if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     4146  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     4147  ac_status=$?
     4148  grep -v '^ *+' conftest.er1 >conftest.err
     4149  rm -f conftest.er1
     4150  cat conftest.err >&5
     4151  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4152  (exit $ac_status); } >/dev/null; then
     4153  if test -s conftest.err; then
     4154    ac_cpp_err=$ac_c_preproc_warn_flag
     4155    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     4156  else
     4157    ac_cpp_err=
     4158  fi
     4159else
     4160  ac_cpp_err=yes
     4161fi
     4162if test -z "$ac_cpp_err"; then
     4163  ac_header_preproc=yes
     4164else
     4165  echo "$as_me: failed program was:" >&5
     4166sed 's/^/| /' conftest.$ac_ext >&5
     4167
     4168  ac_header_preproc=no
     4169fi
     4170rm -f conftest.err conftest.$ac_ext
     4171echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     4172echo "${ECHO_T}$ac_header_preproc" >&6
     4173
     4174# So?  What about this header?
     4175case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
     4176  yes:no: )
     4177    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     4178echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     4179    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     4180echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     4181    ac_header_preproc=yes
     4182    ;;
     4183  no:yes:* )
     4184    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     4185echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     4186    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     4187echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     4188    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     4189echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     4190    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     4191echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     4192    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     4193echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     4194    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     4195echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     4196    (
     4197      cat <<\_ASBOX
     4198## ------------------------------------------- ##
     4199## Report this to orxonox-dev@mail.datacore.ch ##
     4200## ------------------------------------------- ##
     4201_ASBOX
     4202    ) |
     4203      sed "s/^/$as_me: WARNING:     /" >&2
     4204    ;;
     4205esac
     4206echo "$as_me:$LINENO: checking for $ac_header" >&5
     4207echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     4208if eval "test \"\${$as_ac_Header+set}\" = set"; then
     4209  echo $ECHO_N "(cached) $ECHO_C" >&6
     4210else
     4211  eval "$as_ac_Header=\$ac_header_preproc"
     4212fi
     4213echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     4214echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     4215
     4216fi
     4217if test `eval echo '${'$as_ac_Header'}'` = yes; then
     4218  cat >>confdefs.h <<_ACEOF
     4219#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     4220_ACEOF
     4221
     4222else
     4223  { { echo "$as_me:$LINENO: error: cannot find opengl headers" >&5
     4224echo "$as_me: error: cannot find opengl headers" >&2;}
     4225   { (exit 1); exit 1; }; }
     4226fi
     4227
     4228done
     4229
     4230
    34434231echo "$as_me:$LINENO: checking for gluProject in -lGLU" >&5
    34444232echo $ECHO_N "checking for gluProject in -lGLU... $ECHO_C" >&6
     
    35144302else
    35154303    echo "We did not find the Linux GLU Library. Checking for Windows Library"
    3516     echo "$as_me:$LINENO: checking for glPushMatrix in -lGLU32" >&5
    3517 echo $ECHO_N "checking for glPushMatrix in -lGLU32... $ECHO_C" >&6
    3518 if test "${ac_cv_lib_GLU32_glPushMatrix+set}" = set; then
     4304    echo "$as_me:$LINENO: checking for main in -lglu32" >&5
     4305echo $ECHO_N "checking for main in -lglu32... $ECHO_C" >&6
     4306if test "${ac_cv_lib_glu32_main+set}" = set; then
    35194307  echo $ECHO_N "(cached) $ECHO_C" >&6
    35204308else
    35214309  ac_check_lib_save_LIBS=$LIBS
    3522 LIBS="-lGLU32  $LIBS"
     4310LIBS="-lglu32  $LIBS"
    35234311cat >conftest.$ac_ext <<_ACEOF
    35244312/* confdefs.h.  */
     
    35284316/* end confdefs.h.  */
    35294317
    3530 /* Override any gcc2 internal prototype to avoid an error.  */
    3531 #ifdef __cplusplus
    3532 extern "C"
    3533 #endif
    3534 /* We use char because int might match the return type of a gcc2
    3535    builtin and then its argument prototype would still apply.  */
    3536 char glPushMatrix ();
     4318
    35374319int
    35384320main ()
    35394321{
    3540 glPushMatrix ();
     4322main ();
    35414323  ;
    35424324  return 0;
     
    35654347  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    35664348  (exit $ac_status); }; }; then
    3567   ac_cv_lib_GLU32_glPushMatrix=yes
     4349  ac_cv_lib_glu32_main=yes
    35684350else
    35694351  echo "$as_me: failed program was:" >&5
    35704352sed 's/^/| /' conftest.$ac_ext >&5
    35714353
    3572 ac_cv_lib_GLU32_glPushMatrix=no
     4354ac_cv_lib_glu32_main=no
    35734355fi
    35744356rm -f conftest.err conftest.$ac_objext \
     
    35764358LIBS=$ac_check_lib_save_LIBS
    35774359fi
    3578 echo "$as_me:$LINENO: result: $ac_cv_lib_GLU32_glPushMatrix" >&5
    3579 echo "${ECHO_T}$ac_cv_lib_GLU32_glPushMatrix" >&6
    3580 if test $ac_cv_lib_GLU32_glPushMatrix = yes; then
    3581   FOUND_GLU32=yes
    3582 fi
    3583 
    3584     if test "$FOUND_GLU32" = "yes" ; then
     4360echo "$as_me:$LINENO: result: $ac_cv_lib_glu32_main" >&5
     4361echo "${ECHO_T}$ac_cv_lib_glu32_main" >&6
     4362if test $ac_cv_lib_glu32_main = yes; then
     4363  FOUND_glu32=yes
     4364fi
     4365
     4366    if test "$FOUND_glu32" = "yes" ; then
    35854367        LIBS="$LIBS -lGLU32"
    35864368
     
    35934375    fi
    35944376fi
     4377
    35954378# FIXME: Replace `main' with a function in `-lOSMesa':
    35964379
     
    38024585
    38034586#  cheking for libglut32
     4587
     4588for ac_header in GL/glut.h
     4589do
     4590as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     4591if eval "test \"\${$as_ac_Header+set}\" = set"; then
     4592  echo "$as_me:$LINENO: checking for $ac_header" >&5
     4593echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     4594if eval "test \"\${$as_ac_Header+set}\" = set"; then
     4595  echo $ECHO_N "(cached) $ECHO_C" >&6
     4596fi
     4597echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     4598echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     4599else
     4600  # Is the header compilable?
     4601echo "$as_me:$LINENO: checking $ac_header usability" >&5
     4602echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     4603cat >conftest.$ac_ext <<_ACEOF
     4604/* confdefs.h.  */
     4605_ACEOF
     4606cat confdefs.h >>conftest.$ac_ext
     4607cat >>conftest.$ac_ext <<_ACEOF
     4608/* end confdefs.h.  */
     4609$ac_includes_default
     4610#include <$ac_header>
     4611_ACEOF
     4612rm -f conftest.$ac_objext
     4613if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     4614  (eval $ac_compile) 2>conftest.er1
     4615  ac_status=$?
     4616  grep -v '^ *+' conftest.er1 >conftest.err
     4617  rm -f conftest.er1
     4618  cat conftest.err >&5
     4619  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4620  (exit $ac_status); } &&
     4621         { ac_try='test -z "$ac_c_werror_flag"
     4622                         || test ! -s conftest.err'
     4623  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4624  (eval $ac_try) 2>&5
     4625  ac_status=$?
     4626  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4627  (exit $ac_status); }; } &&
     4628         { ac_try='test -s conftest.$ac_objext'
     4629  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4630  (eval $ac_try) 2>&5
     4631  ac_status=$?
     4632  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4633  (exit $ac_status); }; }; then
     4634  ac_header_compiler=yes
     4635else
     4636  echo "$as_me: failed program was:" >&5
     4637sed 's/^/| /' conftest.$ac_ext >&5
     4638
     4639ac_header_compiler=no
     4640fi
     4641rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     4642echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     4643echo "${ECHO_T}$ac_header_compiler" >&6
     4644
     4645# Is the header present?
     4646echo "$as_me:$LINENO: checking $ac_header presence" >&5
     4647echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     4648cat >conftest.$ac_ext <<_ACEOF
     4649/* confdefs.h.  */
     4650_ACEOF
     4651cat confdefs.h >>conftest.$ac_ext
     4652cat >>conftest.$ac_ext <<_ACEOF
     4653/* end confdefs.h.  */
     4654#include <$ac_header>
     4655_ACEOF
     4656if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     4657  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     4658  ac_status=$?
     4659  grep -v '^ *+' conftest.er1 >conftest.err
     4660  rm -f conftest.er1
     4661  cat conftest.err >&5
     4662  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4663  (exit $ac_status); } >/dev/null; then
     4664  if test -s conftest.err; then
     4665    ac_cpp_err=$ac_c_preproc_warn_flag
     4666    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     4667  else
     4668    ac_cpp_err=
     4669  fi
     4670else
     4671  ac_cpp_err=yes
     4672fi
     4673if test -z "$ac_cpp_err"; then
     4674  ac_header_preproc=yes
     4675else
     4676  echo "$as_me: failed program was:" >&5
     4677sed 's/^/| /' conftest.$ac_ext >&5
     4678
     4679  ac_header_preproc=no
     4680fi
     4681rm -f conftest.err conftest.$ac_ext
     4682echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     4683echo "${ECHO_T}$ac_header_preproc" >&6
     4684
     4685# So?  What about this header?
     4686case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
     4687  yes:no: )
     4688    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     4689echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     4690    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     4691echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     4692    ac_header_preproc=yes
     4693    ;;
     4694  no:yes:* )
     4695    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     4696echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     4697    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     4698echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     4699    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     4700echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     4701    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     4702echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     4703    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     4704echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     4705    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     4706echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     4707    (
     4708      cat <<\_ASBOX
     4709## ------------------------------------------- ##
     4710## Report this to orxonox-dev@mail.datacore.ch ##
     4711## ------------------------------------------- ##
     4712_ASBOX
     4713    ) |
     4714      sed "s/^/$as_me: WARNING:     /" >&2
     4715    ;;
     4716esac
     4717echo "$as_me:$LINENO: checking for $ac_header" >&5
     4718echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     4719if eval "test \"\${$as_ac_Header+set}\" = set"; then
     4720  echo $ECHO_N "(cached) $ECHO_C" >&6
     4721else
     4722  eval "$as_ac_Header=\$ac_header_preproc"
     4723fi
     4724echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     4725echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     4726
     4727fi
     4728if test `eval echo '${'$as_ac_Header'}'` = yes; then
     4729  cat >>confdefs.h <<_ACEOF
     4730#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     4731_ACEOF
     4732
     4733else
     4734  { { echo "$as_me:$LINENO: error: cannot find glut headers" >&5
     4735echo "$as_me: error: cannot find glut headers" >&2;}
     4736   { (exit 1); exit 1; }; }
     4737fi
     4738
     4739done
     4740
    38044741echo "$as_me:$LINENO: checking for glutInit in -lglut" >&5
    38054742echo $ECHO_N "checking for glutInit in -lglut... $ECHO_C" >&6
     
    38754812else
    38764813    echo "We did not find the Linux glut Library. Checking for Windows Library"
    3877     echo "$as_me:$LINENO: checking for glPushMatrix in -lglut32" >&5
    3878 echo $ECHO_N "checking for glPushMatrix in -lglut32... $ECHO_C" >&6
    3879 if test "${ac_cv_lib_glut32_glPushMatrix+set}" = set; then
     4814    echo "$as_me:$LINENO: checking for main in -lglut32" >&5
     4815echo $ECHO_N "checking for main in -lglut32... $ECHO_C" >&6
     4816if test "${ac_cv_lib_glut32_main+set}" = set; then
    38804817  echo $ECHO_N "(cached) $ECHO_C" >&6
    38814818else
     
    38894826/* end confdefs.h.  */
    38904827
    3891 /* Override any gcc2 internal prototype to avoid an error.  */
    3892 #ifdef __cplusplus
    3893 extern "C"
    3894 #endif
    3895 /* We use char because int might match the return type of a gcc2
    3896    builtin and then its argument prototype would still apply.  */
    3897 char glPushMatrix ();
     4828
    38984829int
    38994830main ()
    39004831{
    3901 glPushMatrix ();
     4832main ();
    39024833  ;
    39034834  return 0;
     
    39264857  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    39274858  (exit $ac_status); }; }; then
    3928   ac_cv_lib_glut32_glPushMatrix=yes
     4859  ac_cv_lib_glut32_main=yes
    39294860else
    39304861  echo "$as_me: failed program was:" >&5
    39314862sed 's/^/| /' conftest.$ac_ext >&5
    39324863
    3933 ac_cv_lib_glut32_glPushMatrix=no
     4864ac_cv_lib_glut32_main=no
    39344865fi
    39354866rm -f conftest.err conftest.$ac_objext \
     
    39374868LIBS=$ac_check_lib_save_LIBS
    39384869fi
    3939 echo "$as_me:$LINENO: result: $ac_cv_lib_glut32_glPushMatrix" >&5
    3940 echo "${ECHO_T}$ac_cv_lib_glut32_glPushMatrix" >&6
    3941 if test $ac_cv_lib_glut32_glPushMatrix = yes; then
     4870echo "$as_me:$LINENO: result: $ac_cv_lib_glut32_main" >&5
     4871echo "${ECHO_T}$ac_cv_lib_glut32_main" >&6
     4872if test $ac_cv_lib_glut32_main = yes; then
    39424873  FOUND_glut32=yes
    39434874fi
     
    40254956
    40264957# Checks for header files.
    4027 ac_ext=c
    4028 ac_cpp='$CPP $CPPFLAGS'
    4029 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
    4030 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    4031 ac_compiler_gnu=$ac_cv_c_compiler_gnu
    4032 echo "$as_me:$LINENO: checking how to run the C preprocessor" >&5
    4033 echo $ECHO_N "checking how to run the C preprocessor... $ECHO_C" >&6
    4034 # On Suns, sometimes $CPP names a directory.
    4035 if test -n "$CPP" && test -d "$CPP"; then
    4036   CPP=
    4037 fi
    4038 if test -z "$CPP"; then
    4039   if test "${ac_cv_prog_CPP+set}" = set; then
    4040   echo $ECHO_N "(cached) $ECHO_C" >&6
    4041 else
    4042       # Double quotes because CPP needs to be expanded
    4043     for CPP in "$CC -E" "$CC -E -traditional-cpp" "/lib/cpp"
    4044     do
    4045       ac_preproc_ok=false
    4046 for ac_c_preproc_warn_flag in '' yes
    4047 do
    4048   # Use a header file that comes with gcc, so configuring glibc
    4049   # with a fresh cross-compiler works.
    4050   # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
    4051   # <limits.h> exists even on freestanding compilers.
    4052   # On the NeXT, cc -E runs the code through the compiler's parser,
    4053   # not just through cpp. "Syntax error" is here to catch this case.
    4054   cat >conftest.$ac_ext <<_ACEOF
    4055 /* confdefs.h.  */
    4056 _ACEOF
    4057 cat confdefs.h >>conftest.$ac_ext
    4058 cat >>conftest.$ac_ext <<_ACEOF
    4059 /* end confdefs.h.  */
    4060 #ifdef __STDC__
    4061 # include <limits.h>
    4062 #else
    4063 # include <assert.h>
    4064 #endif
    4065                      Syntax error
    4066 _ACEOF
    4067 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
    4068   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
    4069   ac_status=$?
    4070   grep -v '^ *+' conftest.er1 >conftest.err
    4071   rm -f conftest.er1
    4072   cat conftest.err >&5
    4073   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4074   (exit $ac_status); } >/dev/null; then
    4075   if test -s conftest.err; then
    4076     ac_cpp_err=$ac_c_preproc_warn_flag
    4077     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
    4078   else
    4079     ac_cpp_err=
    4080   fi
    4081 else
    4082   ac_cpp_err=yes
    4083 fi
    4084 if test -z "$ac_cpp_err"; then
    4085   :
    4086 else
    4087   echo "$as_me: failed program was:" >&5
    4088 sed 's/^/| /' conftest.$ac_ext >&5
    4089 
    4090   # Broken: fails on valid input.
    4091 continue
    4092 fi
    4093 rm -f conftest.err conftest.$ac_ext
    4094 
    4095   # OK, works on sane cases.  Now check whether non-existent headers
    4096   # can be detected and how.
    4097   cat >conftest.$ac_ext <<_ACEOF
    4098 /* confdefs.h.  */
    4099 _ACEOF
    4100 cat confdefs.h >>conftest.$ac_ext
    4101 cat >>conftest.$ac_ext <<_ACEOF
    4102 /* end confdefs.h.  */
    4103 #include <ac_nonexistent.h>
    4104 _ACEOF
    4105 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
    4106   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
    4107   ac_status=$?
    4108   grep -v '^ *+' conftest.er1 >conftest.err
    4109   rm -f conftest.er1
    4110   cat conftest.err >&5
    4111   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4112   (exit $ac_status); } >/dev/null; then
    4113   if test -s conftest.err; then
    4114     ac_cpp_err=$ac_c_preproc_warn_flag
    4115     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
    4116   else
    4117     ac_cpp_err=
    4118   fi
    4119 else
    4120   ac_cpp_err=yes
    4121 fi
    4122 if test -z "$ac_cpp_err"; then
    4123   # Broken: success on invalid input.
    4124 continue
    4125 else
    4126   echo "$as_me: failed program was:" >&5
    4127 sed 's/^/| /' conftest.$ac_ext >&5
    4128 
    4129   # Passes both tests.
    4130 ac_preproc_ok=:
    4131 break
    4132 fi
    4133 rm -f conftest.err conftest.$ac_ext
    4134 
    4135 done
    4136 # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
    4137 rm -f conftest.err conftest.$ac_ext
    4138 if $ac_preproc_ok; then
    4139   break
    4140 fi
    4141 
    4142     done
    4143     ac_cv_prog_CPP=$CPP
    4144 
    4145 fi
    4146   CPP=$ac_cv_prog_CPP
    4147 else
    4148   ac_cv_prog_CPP=$CPP
    4149 fi
    4150 echo "$as_me:$LINENO: result: $CPP" >&5
    4151 echo "${ECHO_T}$CPP" >&6
    4152 ac_preproc_ok=false
    4153 for ac_c_preproc_warn_flag in '' yes
    4154 do
    4155   # Use a header file that comes with gcc, so configuring glibc
    4156   # with a fresh cross-compiler works.
    4157   # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
    4158   # <limits.h> exists even on freestanding compilers.
    4159   # On the NeXT, cc -E runs the code through the compiler's parser,
    4160   # not just through cpp. "Syntax error" is here to catch this case.
    4161   cat >conftest.$ac_ext <<_ACEOF
    4162 /* confdefs.h.  */
    4163 _ACEOF
    4164 cat confdefs.h >>conftest.$ac_ext
    4165 cat >>conftest.$ac_ext <<_ACEOF
    4166 /* end confdefs.h.  */
    4167 #ifdef __STDC__
    4168 # include <limits.h>
    4169 #else
    4170 # include <assert.h>
    4171 #endif
    4172                      Syntax error
    4173 _ACEOF
    4174 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
    4175   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
    4176   ac_status=$?
    4177   grep -v '^ *+' conftest.er1 >conftest.err
    4178   rm -f conftest.er1
    4179   cat conftest.err >&5
    4180   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4181   (exit $ac_status); } >/dev/null; then
    4182   if test -s conftest.err; then
    4183     ac_cpp_err=$ac_c_preproc_warn_flag
    4184     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
    4185   else
    4186     ac_cpp_err=
    4187   fi
    4188 else
    4189   ac_cpp_err=yes
    4190 fi
    4191 if test -z "$ac_cpp_err"; then
    4192   :
    4193 else
    4194   echo "$as_me: failed program was:" >&5
    4195 sed 's/^/| /' conftest.$ac_ext >&5
    4196 
    4197   # Broken: fails on valid input.
    4198 continue
    4199 fi
    4200 rm -f conftest.err conftest.$ac_ext
    4201 
    4202   # OK, works on sane cases.  Now check whether non-existent headers
    4203   # can be detected and how.
    4204   cat >conftest.$ac_ext <<_ACEOF
    4205 /* confdefs.h.  */
    4206 _ACEOF
    4207 cat confdefs.h >>conftest.$ac_ext
    4208 cat >>conftest.$ac_ext <<_ACEOF
    4209 /* end confdefs.h.  */
    4210 #include <ac_nonexistent.h>
    4211 _ACEOF
    4212 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
    4213   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
    4214   ac_status=$?
    4215   grep -v '^ *+' conftest.er1 >conftest.err
    4216   rm -f conftest.er1
    4217   cat conftest.err >&5
    4218   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4219   (exit $ac_status); } >/dev/null; then
    4220   if test -s conftest.err; then
    4221     ac_cpp_err=$ac_c_preproc_warn_flag
    4222     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
    4223   else
    4224     ac_cpp_err=
    4225   fi
    4226 else
    4227   ac_cpp_err=yes
    4228 fi
    4229 if test -z "$ac_cpp_err"; then
    4230   # Broken: success on invalid input.
    4231 continue
    4232 else
    4233   echo "$as_me: failed program was:" >&5
    4234 sed 's/^/| /' conftest.$ac_ext >&5
    4235 
    4236   # Passes both tests.
    4237 ac_preproc_ok=:
    4238 break
    4239 fi
    4240 rm -f conftest.err conftest.$ac_ext
    4241 
    4242 done
    4243 # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
    4244 rm -f conftest.err conftest.$ac_ext
    4245 if $ac_preproc_ok; then
    4246   :
    4247 else
    4248   { { echo "$as_me:$LINENO: error: C preprocessor \"$CPP\" fails sanity check
    4249 See \`config.log' for more details." >&5
    4250 echo "$as_me: error: C preprocessor \"$CPP\" fails sanity check
    4251 See \`config.log' for more details." >&2;}
    4252    { (exit 1); exit 1; }; }
    4253 fi
    4254 
    4255 ac_ext=c
    4256 ac_cpp='$CPP $CPPFLAGS'
    4257 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
    4258 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    4259 ac_compiler_gnu=$ac_cv_c_compiler_gnu
    4260 
    4261 
    4262 echo "$as_me:$LINENO: checking for egrep" >&5
    4263 echo $ECHO_N "checking for egrep... $ECHO_C" >&6
    4264 if test "${ac_cv_prog_egrep+set}" = set; then
    4265   echo $ECHO_N "(cached) $ECHO_C" >&6
    4266 else
    4267   if echo a | (grep -E '(a|b)') >/dev/null 2>&1
    4268     then ac_cv_prog_egrep='grep -E'
    4269     else ac_cv_prog_egrep='egrep'
    4270     fi
    4271 fi
    4272 echo "$as_me:$LINENO: result: $ac_cv_prog_egrep" >&5
    4273 echo "${ECHO_T}$ac_cv_prog_egrep" >&6
    4274  EGREP=$ac_cv_prog_egrep
    4275 
    4276 
    42774958echo "$as_me:$LINENO: checking for ANSI C header files" >&5
    42784959echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
     
    44405121
    44415122fi
    4442 
    4443 # On IRIX 5.3, sys/types and inttypes.h are conflicting.
    4444 
    4445 
    4446 
    4447 
    4448 
    4449 
    4450 
    4451 
    4452 
    4453 for ac_header in sys/types.h sys/stat.h stdlib.h string.h memory.h strings.h \
    4454                   inttypes.h stdint.h unistd.h
    4455 do
    4456 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
    4457 echo "$as_me:$LINENO: checking for $ac_header" >&5
    4458 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
    4459 if eval "test \"\${$as_ac_Header+set}\" = set"; then
    4460   echo $ECHO_N "(cached) $ECHO_C" >&6
    4461 else
    4462   cat >conftest.$ac_ext <<_ACEOF
    4463 /* confdefs.h.  */
    4464 _ACEOF
    4465 cat confdefs.h >>conftest.$ac_ext
    4466 cat >>conftest.$ac_ext <<_ACEOF
    4467 /* end confdefs.h.  */
    4468 $ac_includes_default
    4469 
    4470 #include <$ac_header>
    4471 _ACEOF
    4472 rm -f conftest.$ac_objext
    4473 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    4474   (eval $ac_compile) 2>conftest.er1
    4475   ac_status=$?
    4476   grep -v '^ *+' conftest.er1 >conftest.err
    4477   rm -f conftest.er1
    4478   cat conftest.err >&5
    4479   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4480   (exit $ac_status); } &&
    4481          { ac_try='test -z "$ac_c_werror_flag"
    4482                          || test ! -s conftest.err'
    4483   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4484   (eval $ac_try) 2>&5
    4485   ac_status=$?
    4486   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4487   (exit $ac_status); }; } &&
    4488          { ac_try='test -s conftest.$ac_objext'
    4489   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4490   (eval $ac_try) 2>&5
    4491   ac_status=$?
    4492   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4493   (exit $ac_status); }; }; then
    4494   eval "$as_ac_Header=yes"
    4495 else
    4496   echo "$as_me: failed program was:" >&5
    4497 sed 's/^/| /' conftest.$ac_ext >&5
    4498 
    4499 eval "$as_ac_Header=no"
    4500 fi
    4501 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    4502 fi
    4503 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
    4504 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
    4505 if test `eval echo '${'$as_ac_Header'}'` = yes; then
    4506   cat >>confdefs.h <<_ACEOF
    4507 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
    4508 _ACEOF
    4509 
    4510 fi
    4511 
    4512 done
    4513 
    45145123
    45155124
  • orxonox/trunk/configure.ac

    r1959 r1971  
    1515
    1616#  cheking for libGL
     17AC_CHECK_HEADERS(GL/gl.h ,,
     18      [AC_MSG_ERROR([cannot find opengl headers]) ])
     19
    1720#   checking for Unix GL
    18 AC_CHECK_LIB([GL], [glPushMatrix], FOUND_GL=yes)
     21AC_CHECK_LIB([GL], [main], FOUND_GL=yes)
    1922if test "$FOUND_GL" = "yes" ; then
    2023    LIBS="$LIBS -lGL"
     
    2225else
    2326    echo "We did not find the Linux opengl Library. Checking for Windows Library"
    24     AC_CHECK_LIB([opengl32], [glPushMatrix], FOUND_opengl=yes)
    25     if test "$FOUND_opengl" = "yes" ; then
     27    AC_CHECK_LIB([opengl32], [main], FOUND_opengl32=yes, "gl/gl.h")
     28    if test "$FOUND_opengl32" = "yes" ; then
    2629        LIBS="$LIBS -lopengl32"
    2730       
    28         else
     31    else
    2932         echo "------------------"
    3033         echo "opengl not found."
     
    3639
    3740#  cheking for libGLU
     41AC_CHECK_HEADERS(GL/glu.h ,,
     42      [AC_MSG_ERROR([cannot find opengl headers]) ])
     43
    3844AC_CHECK_LIB([GLU], [gluProject], FOUND_GLU=yes)
    3945if test "$FOUND_GLU" = "yes" ; then
     
    4248else
    4349    echo "We did not find the Linux GLU Library. Checking for Windows Library"
    44     AC_CHECK_LIB([GLU32], [glPushMatrix], FOUND_GLU32=yes)
    45     if test "$FOUND_GLU32" = "yes" ; then
     50    AC_CHECK_LIB([glu32], [main], FOUND_glu32=yes)
     51    if test "$FOUND_glu32" = "yes" ; then
    4652        LIBS="$LIBS -lGLU32"
    4753       
     
    5460    fi
    5561fi
     62
    5663# FIXME: Replace `main' with a function in `-lOSMesa':
    5764AC_CHECK_LIB([OSMesa], [main])
     
    6269
    6370#  cheking for libglut32
     71AC_CHECK_HEADERS(GL/glut.h ,,
     72      [AC_MSG_ERROR([cannot find glut headers]) ])
    6473AC_CHECK_LIB([glut], [glutInit], FOUND_glut=yes)
    6574if test "$FOUND_glut" = "yes" ; then
     
    6877else
    6978    echo "We did not find the Linux glut Library. Checking for Windows Library"
    70     AC_CHECK_LIB([glut32], [glPushMatrix], FOUND_glut32=yes)
     79    AC_CHECK_LIB([glut32], [main], FOUND_glut32=yes)
    7180    if test "$FOUND_glut32" = "yes" ; then
    7281        LIBS="$LIBS -lglut32"
Note: See TracChangeset for help on using the changeset viewer.